/*
    This file is part of kenvy24 KDE multimedia utility
    Copyright (c) 2007  Valentin RUSU kenvy24@rusu.info

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License or (at
    your option) version 3 or, at the discretion of KDE e.V. (which shall
    act as a proxy as in section 14 of the GPLv3), any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _KENVY24PARTBASE_H_INCLUDED_
#define _KENVY24PARTBASE_H_INCLUDED_

#include <kparts/part.h>
#include <kparts/genericfactory.h>
#include <kconfiggroup.h>

class EnvyCard;
class QResizeEvent;

class KEnvy24PartBase : public KParts::ReadWritePart
{
    Q_OBJECT

    protected:
        const char* partName;
        KConfigGroup*    partConfigGroup;

    public:
        KEnvy24PartBase( QObject* parent, const char* name );

        virtual void setActiveCard( EnvyCard* ) =0;
        virtual void widgetResizeEvent( QResizeEvent* );

    public Q_SLOTS:
        virtual void saveConfig( KConfigGroup* configGroup ) = 0;
        virtual void loadConfig( KConfigGroup* configGroup ) = 0;
};

#endif // _KENVY24PARTBASE_H_INCLUDED_
// kate: space-indent on; indent-width 4; replace-tabs on;
