/*
    This file is part of kenvy24 KDE multimedia utility
    Copyright (c) 2007  Valentin RUSU kenvy24@rusu.info

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License or (at
    your option) version 3 or, at the discretion of KDE e.V. (which shall
    act as a proxy as in section 14 of the GPLv3), any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _KENVY24PARTWIDGET_H_INCLUDED_
#define _KENVY24PARTWIDGET_H_INCLUDED_

#include <QWidget>

class KEnvy24PartBase;

/**
 * This widget is used to capture useful events, implemented inside QT as
 * virtual methods, then send them to KEnvy24PartBase
 */
class KEnvy24PartWidget : public QWidget
{
    Q_OBJECT

    protected:
        KEnvy24PartBase*    thePart;

    public:
        KEnvy24PartWidget( QWidget* parentWidget, KEnvy24PartBase* part ) :
            QWidget( parentWidget ), thePart( part )
        {}

    protected:
        virtual void resizeEvent( QResizeEvent* );
};

#endif // _KENVY24PARTWIDGET_H_INCLUDED_
// kate: space-indent on; indent-width 4; replace-tabs on;
