/*
    This file is part of kenvy24 KDE multimedia utility
    Copyright (c) 2007  Valentin RUSU kenvy24@rusu.info

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License or (at
    your option) version 3 or, at the discretion of KDE e.V. (which shall
    act as a proxy as in section 14 of the GPLv3), any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _MixerPartMonoVuMeter_h_
#define _MixerPartMonoVuMeter_h_

#include <QFrame>

class MixerPartMonoVuMeter : public QFrame {
    Q_OBJECT
    private:
        int         currentLevel;
        int         peakLevel;
        int         peakTickCount;
        QBrush*     vuBrush;
    public:
        MixerPartMonoVuMeter( QWidget* parentWidget );
        ~MixerPartMonoVuMeter();

    public Q_SLOTS:
        void levelUpdated( int );
        void timerTick();

    protected:
        virtual void resizeEvent( QResizeEvent* );
        virtual void paintEvent( QPaintEvent* );
};

#endif // _MixerPartMonoVuMeter_h_

// kate: space-indent on; indent-width 4; replace-tabs on;
