/*    
    This file is part of kenvy24 KDE multimedia utility
    Copyright (c) 2007  Valentin RUSU kenvy24@rusu.info
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License or (at
    your option) version 3 or, at the discretion of KDE e.V. (which shall
    act as a proxy as in section 14 of the GPLv3), any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.     
*/

#ifndef SHELLWINDOW_H_INCLUDED
#define SHELLWINDOW_H_INCLUDED

#include <kparts/mainwindow.h>
#include <kparts/partmanager.h>

/**
 * This is the application main window.
 * As the application is build from several KParts,
 * this window is only an empty shell providing
 * a manubar, toolbar and status bar. These are
 * setup by the KParts that are put inside
 */
class ShellWindow : public KParts::MainWindow
{
    Q_OBJECT

private:
    KParts::PartManager     manager;
    KParts::ReadWritePart   *mainPart;

public:
    ShellWindow();
    virtual ~ShellWindow();

    void load( const KUrl& url );

private:
    void setupActions();

};

#endif // SHELLWINDOW_H_INCLUDED
