/*    
    This file is part of kenvy24 KDE multimedia utility
    Copyright (c) 2007  Valentin RUSU kenvy24@rusu.info
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License or (at
    your option) version 3 or, at the discretion of KDE e.V. (which shall
    act as a proxy as in section 14 of the GPLv3), any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.     
*/

#ifndef _VUMETERIMPL_H_
#define _VUMETERIMPL_H_

#include <vector>

#include "ui_vumeter.h"
#include "envystructs.h"

class VuMeterImpl : public QWidget, Ui_VuMeter {
  Q_OBJECT
  private:
    std::vector< KLed* >    leds;
    int                     level;
    static const int        dischargeRate;
    int              dischargeStep;
    
  public:
    VuMeterImpl( QWidget* parent );
    VuMeterImpl( QWidget* parent, const char* name );
    
  public slots:
    void updateLevel( int );
    void resetLevel();
    void timerTick();
    
  private:
    void initLeds();
    void turnOffLed( KLed*& );
};

#endif // _VUMETERIMPL_H_
